Subject: [TR] SU fuel pump (Stag)

From: Frank Magnusson <[email-masked]>
Date: Sun, 21 Apr 2019 12:30:46 -0500

Looking for some words of wisdom on tightening the banjo bolts on an SU fuel pump.  I've just installed a stock SU pump and have the red fiber washers on either side of the banjo and am getting a fuel seep from both banjos with the pump on.  Not sure if I have the bolts too tight or too loose.  A bit afraid to tighten them too much as I think the pump body is cheap pot metal and I dont want to strip it and scrap a brand new pump.  Am I right about that or am I being too timid in tightening them?  Thinking of waiting a day to let the fiber washers expand from being in contact with fuel to see if they will swell a bit and seal.  Any advice appreciated.

Thanks,
Frank

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive